Bug 234393 - audio/pithos: Remove unnecessary git dependency
Summary: audio/pithos: Remove unnecessary git dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Hixson
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-25 12:25 UTC by Mark Linimon
Modified: 2019-01-16 06:19 UTC (History)
1 user (show)

See Also:
jhixson: maintainer-feedback+


Attachments
patch to audio/pithos/Makefile (942 bytes, patch)
2018-12-25 12:25 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2018-12-25 12:25:13 UTC
Created attachment 200495 [details]
patch to audio/pithos/Makefile

audio/pithos depends on git, which seems uneccesary, and can cause a conflict for some users.

Tested on amd64.

Suggested by jhibbits.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-30 13:49:05 UTC
Is the s/USE_GSTREAMER/USE_GSTREAMER11 change intentional?
Comment 2 Justin Hibbits freebsd_committer 2018-12-30 19:28:07 UTC
It's intentional, but unrelated to removing the git dependency.  pithos really only uses gstreamer1 through the py-gstreamer interface, it does not use gstreamer0.10.  See https://reviews.freebsd.org/D17197 for the change I had proposed a while back.
Comment 3 John Hixson freebsd_committer 2019-01-05 09:03:22 UTC
LGTM
Comment 4 commit-hook freebsd_committer 2019-01-13 21:45:31 UTC
A commit references this bug:

Author: linimon
Date: Sun Jan 13 21:45:03 UTC 2019
New revision: 490216
URL: https://svnweb.freebsd.org/changeset/ports/490216

Log:
  Remove unneccesary dependency on git.  Switch to USE_GSTREAMER1.

  PR:		234393
  Reported by:	jhibbits
  Approved by:	maintainer

Changes:
  head/audio/pithos/Makefile